﻿using System;
using System.Collections.Generic;
using DynamicData;

namespace ShowObjectsTree.DynamicData
{
    public interface IDataObjectService : IDisposable
    {
        IObservableCache<DataObject, Guid> DataObjects { get; }
        void Load(IEnumerable<Guid> ids);
    }
}