﻿using System.Linq;

namespace Ascon.Pilot.SDK.TaskSample.TaskEditView
{
    class ModifyAgreementTaskViewModel : ModifyTaskEditViewModel
    {
        public ModifyAgreementTaskViewModel(ITaskObject task, ITaskModifier taskModifier, IObjectsRepository repository, IPilotDialogService pilotDialogService, ITabServiceProvider tabServiceProvider)
            : base(task, taskModifier, repository, pilotDialogService, tabServiceProvider)
        {
        }

        protected override void UpdateCanSubmit()
        {
            base.UpdateCanSubmit();
            CanSubmit = (!string.IsNullOrEmpty(Title) && _executorItems.Any(x => x.OrgUnitId != -1) && _attachments.Any());
        }
    }
}
