﻿using System;
using System.Collections.Generic;
using DynamicData;

namespace ProjectCloneWizard.Data
{
    public interface IDataObjectService : IDisposable
    {
        IObservableCache<DataObject, Guid> DataObjects { get; }
        void Load(Guid id, Action nothingLoaded, bool isAddParent = false);
    }
}
