﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace ProjectCloneWizard.ObjectsTree
{
    public partial class Icons
    {
        private static readonly Icons _instance = new Icons();

        public Icons()
        {
            InitializeComponent();
        }

        public static Icons Instance
        {
            get { return _instance; }
        }

        public ImageSource CollapseAllIcon
        {
            get { return (ImageSource) this["CollapseAllIcon"]; }
        }

        public ImageSource ExpandAllIcon
        {
            get { return (ImageSource) this["ExpandAllIcon"]; }
        }

        public ImageSource UncheckAllIcon
        {
            get { return (ImageSource)this["UncheckAllIcon"]; }
        }

        public ImageSource CheckAllIcon
        {
            get { return (ImageSource)this["CheckAllIcon"]; }
        }

        public ImageSource CheckFoldersIcon
        {
            get { return (ImageSource)this["CheckFoldersIcon"]; }
        }
    }
}
